Bug 1212536 - Enabling the Satellite Capsule 6 Beta via hammer CLI does not reflect in the web ui
Summary: Enabling the Satellite Capsule 6 Beta via hammer CLI does not reflect in the ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-16 15:13 UTC by Og Maciel
Modified: 2017-08-01 20:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 20:35:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
Repository not enabled (106.75 KB, image/png)
2015-04-16 15:13 UTC, Og Maciel
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17792 0 None None None 2016-12-20 02:01:12 UTC

Description Og Maciel 2015-04-16 15:13:00 UTC
Created attachment 1015266 [details]
Repository not enabled

Description of problem:

I used the hammer cli to enable the "Satellite Capsule 6 Beta" repository for both RHEL 6 and RHEL 7, and that worked fine:

# hammer -u $ADMIN_USER -p $ADMIN_PASSWORD repository-set enable --name="Red Hat Satellite Capsule 6 Beta (for RHEL 6 Server) (RPMs)" --basearch="x86_64" --releasever="6Server" --product "Red Hat Satellite Capsule Beta" --organization="${ORGANIZATION}"

But when I went to the web ui to confirm that the repositories had been enabled I noticed two issues:

1. The repository was not enabled as far as the Red Hat Repositories page showed
2. The actual name of the repository (Red Hat Capsule 6 Beta for RHEL 6 Server RPMs x86_64) was missing the release version, which is how other similar repositories are named. In other words:

- Red Hat Capsule 6 Beta for RHEL 6 Server RPMs x86_64
+ Red Hat Capsule 6 Beta for RHEL 6 Server RPMs x86_64 6Server

I'm not sure if the release version is what's causing the discrepancy in the web ui but I can actually see via the Content > Products page that the repositories **are** enabled and I can sync them. The command line also shows that the repository is enabled:

# hammer repository-set info --organization "Default Organization" --product "Red Hat Satellite Capsule Beta" --name "Red Hat Satellite Capsule 6 Beta (for RHEL 6 Server) (RPMs)"
[Foreman] Username: admin
[Foreman] Password for admin: 
ID:                   3504
Name:                 Red Hat Satellite Capsule 6 Beta (for RHEL 6 Server) (RPMs)
Type:                 yum
URL:                  /content/beta/rhel/server/6/6Server/$basearch/sat-capsule/6/os
GPG Key:              file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta,file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Label:                rhel-server-6-satellite-capsule-6-beta-rpms
Enabled Repositories: 
 1) ID:   11
    Name: Red Hat Satellite Capsule 6 Beta for RHEL 6 Server RPMs x86_64 6Server

Version-Release number of selected component (if applicable):

Official Beta for Satellite 6.1

How reproducible:


Steps to Reproduce:
1. Enable the aforementioned repository using the hammer cli
2. Visit the Content > Red Hat Repositories page and check if the repository is enabled in the Beta tab
3.

Actual results:


Expected results:


Additional info:

Comment 2 Bryan Kearney 2016-08-04 20:10:45 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 4 Walden Raines 2016-12-20 01:26:40 UTC
Created redmine issue http://projects.theforeman.org/issues/17792 from this bug

Comment 5 Bryan Kearney 2017-08-01 20:35:03 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.